---
title: "Get brand of document"
url: "https://docs.signnow.com/docs/general-branding/operations/get-v2-documents-document_id-brand"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/get-v2-documents-document_id-brand"
method: "GET"
path: "/v2/documents/{document_id}/brand"
operation_id: "get-v2-documents-document_id-brand"
authorization: "bearer"
---

# Get brand of document

`GET /v2/documents/{document_id}/brand`

This endpoint allows users to retrieve branding that has been assigned to a document. 

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `use_hierarchy` | boolean | No | Retrieve branding assigned specifically to the document with or without branding of its parent application/organization. Possible values: `true` - show application/organization branding if no specific branding is assigned to the document; `false` - show only the branding specifically assigned to the document (if any).  |

## Responses

### 200

* Correct request with `use_hierarchy = true` if there is no brand assigned directly to the `document_id`. The response retrieves the branding that is lower in the hierarchy.
* Correct request with `use_hierarchy=false` if there is no brand assigned directly to the `document_id`. The response is empty.
* Correct request with a bearer token from a user authorized under application with no brand assigned.

**Example** (`use_hierarchy=false`)

```json
{
  "data": []
}
```

**Example** (`use_hierarchy = true`)

```json
{
  "data": {
    "title": "Brand number 2 name",
    "resources": {},
    "unique_id": "45XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "owner_type": "user"
  }
}
```

**Example** (`Application without brand_id`)

```json
{
  "data": []
}
```

### 400

Incorrect or missing token

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Incorrect `document_id`
* `document_id` doesn't exist

**Example** (`Incorrect document_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/documents/567/brand"
}
```

**Example** (`document_id doesn't exist`)

```json
{
  "code": 25002062,
  "message": "Document unique identifier does not exist."
}
```

### 422

`document_id` has been deleted

**Example** (`Example 1`)

```json
{
  "code": 25002065,
  "message": "Document deleted."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/documents/{document_id}/brand" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/get-v2-documents-document_id-brand*
